import { ExtensionMetadata, ISystem, Renderer } from "../core";
import { LayerPass } from "./LayerPass";
export declare class PassSystem implements ISystem {
    /** @ignore */
    static extension: ExtensionMetadata;
    renderer: Renderer;
    stack: Array<LayerPass>;
    constructor(renderer: Renderer);
    begin(pass: LayerPass): void;
    end(pass?: LayerPass): void;
    destroy(): void;
}
